List CPMS
GET
/tenant/{tenant}/cpms
const url = 'https://api.exolink.cloud/tenant/example/cpms';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.exolink.cloud/tenant/example/cpms \ --header 'Authorization: Bearer <token>'Return the list of CPMS for the given tenant
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenant
required
string
Responses
Section titled “Responses”List of CPMS
Media typeapplication/json
Array<object>
object
id
Unique identifier for the CPMS backend
integer
tenantId
ID of the tenant that owns this CPMS backend
integer
displayName
User-friendly name for the CPMS backend
string
url
WebSocket URL endpoint for the CPMS backend connection
string
authPassThrough
Indicates whether authentication credentials are passed through to the CPMS backend
boolean
interval
Heartbeat or connection check interval in seconds
number
createdAt
Timestamp when the CPMS backend record was created
string
updatedAt
Timestamp when the CPMS backend record was last updated
string
deletedAt
Timestamp when the CPMS backend record was soft-deleted (null if active)
string
Examples
ExampleOK
OK
{ "description": "List of CPMS", "value": [ { "id": 3, "tenantId": 1, "displayName": "My CPMS", "url": "ws://cpms.exolink.com", "authPassThrough": true, "interval": 30, "createdAt": "2025-10-15T15:11:57.900Z", "updatedAt": "2025-10-15T15:11:57.900Z", "deletedAt": null } ]}